package com.heyu.api.data.dao.api;
/**
* <p>
* 结果表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-09
*/
import com.heyu.api.data.entity.api.ApiResultEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.LIMIT;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ApiResultDao extends BaseMapper<ApiResultEntity> {


	ApiResultEntity selectApiResultById(@Param("id")Long id);


	Long insertApiResult(ApiResultEntity apiResult);


	Long insertOrUpdateApiResult(ApiResultEntity apiResult);


	int updateApiResultById(ApiResultEntity apiResult);


	int updateCoverApiResultById(ApiResultEntity apiResult);


	int deleteApiResultById(@Param("id")Long id);

	@LIMIT(100)
	ApiResultEntity selectApiResultByUri(String uri);


}